
From: Herbert Xu <herbert@gondor.apana.org.au>

Fix bug #3200

*** Warning: "xfrm6_tunnel_deregister" [net/ipv6/ip6_tunnel.ko] undefined!
*** Warning: "xfrm6_tunnel_register" [net/ipv6/ip6_tunnel.ko] undefined!

Signed-off-by: Herbert Xu <herbert@gondor.apana.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/ipv6/Kconfig |    1 +
 1 files changed, 1 insertion(+)

diff -puN net/ipv6/Kconfig~fw-new-linux-268-rc4-mm1-ipv6-in-ipv6-undefined-references net/ipv6/Kconfig
--- 25/net/ipv6/Kconfig~fw-new-linux-268-rc4-mm1-ipv6-in-ipv6-undefined-references	2004-08-15 17:33:34.718683088 -0700
+++ 25-akpm/net/ipv6/Kconfig	2004-08-15 17:33:34.721682632 -0700
@@ -59,6 +59,7 @@ config INET6_IPCOMP
 config IPV6_TUNNEL
 	tristate "IPv6: IPv6-in-IPv6 tunnel"
 	depends on IPV6
+	select XFRM
 	---help---
 	  Support for IPv6-in-IPv6 tunnels described in RFC 2473.
 
_
